fcntl_setlease
Prev | File Locks | Next

## Name

fcntl_setlease — sets a lease on an open file

## Synopsis

`int fcntl_setlease (` | unsigned int | fd,
| struct file * | filp,
| long | arg`)`;

## Arguments

`fd`

  open file descriptor

`filp`

  file pointer

`arg`

  type of lease to obtain

## Description

Call this fcntl to establish a lease on the file. Note that you also need to call `F_SETSIG` to receive a signal when the lease is broken.

Prev | Up | Next
fcntl_getlease | Home | sys_flock